curl --request POST \
--url https://api.firecrawl.dev/v2/extract \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"urls": [
"<string>"
],
"prompt": "<string>",
"schema": {},
"enableWebSearch": false,
"ignoreSitemap": false,
"includeSubdomains": true,
"showSources": false,
"scrapeOptions": {
"formats": [
"markdown"
],
"onlyMainContent": true,
"onlyCleanContent": false,
"includeTags": [
"<string>"
],
"excludeTags": [
"<string>"
],
"maxAge": 172800000,
"minAge": 123,
"headers": {},
"waitFor": 0,
"mobile": false,
"skipTlsVerification": true,
"timeout": 60000,
"parsers": [
"pdf"
],
"actions": [
{
"type": "wait",
"milliseconds": 2
}
],
"location": {
"country": "US",
"languages": [
"en-US"
]
},
"removeBase64Images": true,
"blockAds": true,
"proxy": "auto",
"storeInCache": true,
"lockdown": false,
"redactPII": false,
"threatProtection": {
"riskScoreThreshold": 75,
"blacklist": [
"<string>"
],
"whitelist": [
"<string>"
],
"blockedTlds": [
"<string>"
]
}
},
"ignoreInvalidURLs": true,
"threatProtection": {
"riskScoreThreshold": 75,
"blacklist": [
"<string>"
],
"whitelist": [
"<string>"
],
"blockedTlds": [
"<string>"
]
}
}
'import requests
url = "https://api.firecrawl.dev/v2/extract"
payload = {
"urls": ["<string>"],
"prompt": "<string>",
"schema": {},
"enableWebSearch": False,
"ignoreSitemap": False,
"includeSubdomains": True,
"showSources": False,
"scrapeOptions": {
"formats": ["markdown"],
"onlyMainContent": True,
"onlyCleanContent": False,
"includeTags": ["<string>"],
"excludeTags": ["<string>"],
"maxAge": 172800000,
"minAge": 123,
"headers": {},
"waitFor": 0,
"mobile": False,
"skipTlsVerification": True,
"timeout": 60000,
"parsers": ["pdf"],
"actions": [
{
"type": "wait",
"milliseconds": 2
}
],
"location": {
"country": "US",
"languages": ["en-US"]
},
"removeBase64Images": True,
"blockAds": True,
"proxy": "auto",
"storeInCache": True,
"lockdown": False,
"redactPII": False,
"threatProtection": {
"riskScoreThreshold": 75,
"blacklist": ["<string>"],
"whitelist": ["<string>"],
"blockedTlds": ["<string>"]
}
},
"ignoreInvalidURLs": True,
"threatProtection": {
"riskScoreThreshold": 75,
"blacklist": ["<string>"],
"whitelist": ["<string>"],
"blockedTlds": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
urls: ['<string>'],
prompt: '<string>',
schema: {},
enableWebSearch: false,
ignoreSitemap: false,
includeSubdomains: true,
showSources: false,
scrapeOptions: {
formats: ['markdown'],
onlyMainContent: true,
onlyCleanContent: false,
includeTags: ['<string>'],
excludeTags: ['<string>'],
maxAge: 172800000,
minAge: 123,
headers: {},
waitFor: 0,
mobile: false,
skipTlsVerification: true,
timeout: 60000,
parsers: ['pdf'],
actions: [{type: 'wait', milliseconds: 2}],
location: {country: 'US', languages: ['en-US']},
removeBase64Images: true,
blockAds: true,
proxy: 'auto',
storeInCache: true,
lockdown: false,
redactPII: false,
threatProtection: {
riskScoreThreshold: 75,
blacklist: ['<string>'],
whitelist: ['<string>'],
blockedTlds: ['<string>']
}
},
ignoreInvalidURLs: true,
threatProtection: {
riskScoreThreshold: 75,
blacklist: ['<string>'],
whitelist: ['<string>'],
blockedTlds: ['<string>']
}
})
};
fetch('https://api.firecrawl.dev/v2/extract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"id": "<string>",
"invalidURLs": [
"<string>"
]
}{
"error": "Invalid input data."
}{
"error": "An unexpected error occurred on the server."
}Extract
Are you an AI agent that needs a Firecrawl API key? See firecrawl.dev/agent-onboarding/SKILL.md for automated onboarding instructions.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The URLs to extract data from. URLs should be in glob format.
Prompt to guide the extraction process
Schema to define the structure of the extracted data. Must conform to JSON Schema.
When true, the extraction will use web search to find additional data
When true, sitemap.xml files will be ignored during website scanning
When true, subdomains of the provided URLs will also be scanned
When true, the sources used to extract the data will be included in the response as sources key
Show child attributes
Show child attributes
If invalid URLs are specified in the urls array, they will be ignored. Instead of them failing the entire request, an extract using the remaining valid URLs will be performed, and the invalid URLs will be returned in the invalidURLs field of the response.
Per-request Threat Protection override. Fields you provide replace the corresponding fields of your organization's policy for this request only; omitted fields keep their organization-level values. Requires Threat Protection to be enabled for your team (enterprise feature) — otherwise the request is rejected with a 403. If your organization has disabled request overrides, any request that includes this object is rejected with a 403. If Threat Protection is enforced for your team, mode may not be set to off.
Show child attributes
Show child attributes
Response
Successful extraction

